Home

server_state

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieve the current state of the server including network connectivity, ledger information, and performance metrics. This method provides detailed information about the server's operational status.

Body

application/json

Retrieve the current state of the server including network connectivity, ledger information, and performance metrics. This method provides detailed information about the server's operational status.

JSON-RPC request payload.

methodstringserver_staterequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
ledger_indexstringcurrentvalidatedclosed

The ledger index to use for the request. "current" uses the current in-progress ledger.

Response

200OK

HTTP 200 response for server_state. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.